| Home | Libraries | People | FAQ | More

## Struct empty

boost::proto::functional::empty — A PolymorphicFunctionObject type that invokes the `boost::empty()` function on its arguments.

## Synopsis

    // In header: <boost/proto/functional/range/empty.hpp>

    struct empty :  proto::callable {
      // types
      typedef bool result_type;

      // public member functions
      template<typename Range> bool operator()(Range const &) const;
    };

## Description

A PolymorphicFunctionObject type that invokes the `boost::empty()` function on its arguments.

### `empty` public member functions

1.     template<typename Range> bool operator()(Range const & rng) const;

   Returns: | `boost::empty(rng)`